Update an existing storage class in NetApp Console local deployment
PATCH /v1/organizations/{organizationId}/storageclasses/{storageClassId}
Updates a storage class by using its unique identifier within the specified organization.
Update is only allowed when:
-
no workloads are associated with the storage class.
-
storageClassType is 'user-defined'.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
storageClassId |
string |
path |
True |
Unique identifier of the storage class to update. |
organizationId |
string |
path |
True |
Unique identifier of the organization. |
Request Body
Expected to contain properties to be updated for the storage class.
| Name | Type | Required | Description |
|---|---|---|---|
capacityPolicy |
string |
False |
Capacity policy ID associated with the storage class. |
description |
string |
False |
Description of the storage class. |
name |
string |
False |
Name of the storage class. This name must be unique within the specific organization. |
performancePolicy |
string |
False |
Performance policy ID associated with the storage class. |
protectionPolicies |
array[string] |
False |
List of protection policies associated with the storage class. |
securityPolicy |
string |
False |
Security policy ID associated with the storage class. |
tags |
array[tags] |
False |
JSON array of tags (name/value pairs) associated with the storage class. Can be used to add any additional data related to the storage class. |
type |
string |
True |
Media type of the resource. Defined values are:
|
version |
string |
True |
Version of the resource schema. Defined values are:
|
Example request
{
"capacityPolicy": "b336b8c1-b388-43e4-8f85-4ca84121ebda",
"description": "Configuration for extreme performance on workloads",
"name": "Extreme Performance",
"performancePolicy": "494a3e48-812a-4204-8450-32aa6aaf1c5f",
"protectionPolicies": [
"92a8fc02-3bd2-4e1f-b034-521ca42ddabf"
],
"securityPolicy": "188714a5-6687-4410-83c3-7214f2943b2d",
"tags": [
{
"internal:bxp:metric:associatedWorkloadCnt": "5"
}
],
"type": "application/vnd.netapp.bxp.storageclass",
"version": "1.0"
}
Response
Status: 204, Storage class updated successfully.
Error
Status: 400, Bad request
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The supplied query parameters are invalid.",
"status": "400",
"title": "Invalid query parameters",
"type": "https://bluexp.netapp.io/problems/1"
}
Error
Status: 401, Unauthorized
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The request is missing the required bearer token.",
"status": "401",
"title": "Missing bearer token",
"type": "https://bluexp.netapp.io/problems/1"
}
Error
Status: 403, Forbidden
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The requested operation isn't permitted.",
"status": "403",
"title": "Operation not permitted",
"type": "https://bluexp.netapp.io/problems/11"
}
Error
Status: 404, Not found
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The collection specified in the request URI wasn't found.",
"status": "404",
"title": "Collection not found",
"type": "https://bluexp.netapp.io/problems/2"
}
Error
Status: 409, Conflict
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The request body JSON contains a field that conflicts with an idempotent value.",
"status": "409",
"title": "JSON resource conflict",
"type": "https://bluexp.netapp.io/problems/10"
}
Definitions
See Definitions
invalidParams
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
Name of the invalid parameter. |
reason |
string |
True |
Reason why the parameter is invalid. |